- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libetonyek::KEYXMLReader::Impl Struct Reference

## Public Member Functions
| Impl ()
| ~Impl ()
| Impl (const Impl &other)
Impl & | operator= (const Impl &other)

## Public Attributes
xmlTextReaderPtr | reader
TokenizerFunction_t | tokenizer

## Constructor & Destructor Documentation

libetonyek::KEYXMLReader::Impl::Impl | ( |  | ) |

libetonyek::KEYXMLReader::Impl::~Impl | ( |  | ) |

libetonyek::KEYXMLReader::Impl::Impl | ( | const Impl & | other | ) |

## Member Function Documentation

Impl& libetonyek::KEYXMLReader::Impl::operator= | ( | const Impl & | other | ) |

## Member Data Documentation

xmlTextReaderPtr libetonyek::KEYXMLReader::Impl::reader

Referenced by libetonyek::KEYXMLReader::AttributeIterator::AttributeIterator(), libetonyek::KEYXMLReader::AttributeIterator::getName(), libetonyek::KEYXMLReader::getName(), libetonyek::KEYXMLReader::AttributeIterator::getNamespace(), libetonyek::KEYXMLReader::getNamespace(), libetonyek::KEYXMLReader::AttributeIterator::getValue(), libetonyek::KEYXMLReader::initialize(), libetonyek::KEYXMLReader::AttributeIterator::move(), libetonyek::KEYXMLReader::NodeIterator::next(), libetonyek::KEYXMLReader::NodeIterator::NodeIterator(), libetonyek::KEYXMLReader::NodeIterator::test(), and libetonyek::KEYXMLReader::AttributeIterator::test().

TokenizerFunction_t libetonyek::KEYXMLReader::Impl::tokenizer

Referenced by libetonyek::KEYXMLReader::AttributeIterator::getToken(), libetonyek::KEYXMLReader::getToken(), and libetonyek::KEYXMLReader::KEYXMLReader().

The documentation for this struct was generated from the following file:

- KEYXMLReader.cpp